Package com.independentsoft.graph.files

# Class RemoteItemProperties

java.lang.Object
com.independentsoft.graph.files.RemoteItemProperties

public class RemoteItemProperties extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteItemProperties()`
  `RemoteItemProperties​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdentitySet`
  `getCreatedBy()`
  `Date`
  `getCreatedTime()`
  `FileProperties`
  `getFileProperties()`
  `FileSystemInfo`
  `getFileSystemInfo()`
  `FolderProperties`
  `getFolderProperties()`
  `String`
  `getId()`
  `IdentitySet`
  `getLastModifiedBy()`
  `Date`
  `getLastModifiedTime()`
  `String`
  `getName()`
  `PackageProperties`
  `getPackageProperties()`
  `ItemReference`
  `getParentReference()`
  `Shared`
  `getShared()`
  `SharePointIds`
  `getSharePointIds()`
  `long`
  `getSize()`
  `String`
  `getWebDavUrl()`
  `String`
  `getWebUrl()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoteItemProperties

    public RemoteItemProperties()

  - ### RemoteItemProperties

    public RemoteItemProperties​(JsonObject jsonObject)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### getCreatedBy

    public IdentitySet getCreatedBy()

  - ### getCreatedTime

    public Date getCreatedTime()

  - ### getFileProperties

    public FileProperties getFileProperties()

  - ### getFileSystemInfo

    public FileSystemInfo getFileSystemInfo()

  - ### getFolderProperties

    public FolderProperties getFolderProperties()

  - ### getLastModifiedBy

    public IdentitySet getLastModifiedBy()

  - ### getLastModifiedTime

    public Date getLastModifiedTime()

  - ### getName

    public String getName()

  - ### getPackageProperties

    public PackageProperties getPackageProperties()

  - ### getParentReference

    public ItemReference getParentReference()

  - ### getShared

    public Shared getShared()

  - ### getSharePointIds

    public SharePointIds getSharePointIds()

  - ### getSize

    public long getSize()

  - ### getWebDavUrl

    public String getWebDavUrl()

  - ### getWebUrl

    public String getWebUrl()